> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns catalog records filtered by prefix



## OpenAPI

````yaml /openapi.json get /api/publicapi/v1/catalogs/{catalogId}/search
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/search:
    get:
      tags:
        - Catalogs
      summary: Returns catalog records filtered by prefix
      operationId: SearchRecords
      parameters:
        - name: catalogId
          in: path
          description: Catalog Id
          required: true
          schema:
            type: string
        - name: prefix
          in: query
          description: Prefix value. Minimum length - 2 symbols.
          schema:
            minLength: 2
            type: string
        - name: Limit
          in: query
          description: Maximum number of records to return in the response.
          schema:
            type: integer
            description: Maximum number of records to return in the response.
            format: int32
        - name: Offset
          in: query
          description: >-
            Offset for pagination. It specifies the number of records to skip
            before starting to collect the result set.
          schema:
            type: integer
            description: >-
              Offset for pagination. It specifies the number of records to skip
              before starting to collect the result set.
            format: int32
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogSearchResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogSearchResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogSearchResult
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogSearchResult:
      type: object
      properties:
        catalogInfo:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDataSet
        records:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogRecordData
          description: List of catalog records that match the search criteria.
          nullable: true
      additionalProperties: false
      description: Represents the result of a catalog search operation.
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDataSet:
      required:
        - columns
        - id
        - name
      type: object
      properties:
        id:
          minLength: 1
          type: string
          description: Id of the data set profile
        name:
          minLength: 1
          type: string
          description: Name of the data set profile
        catalogType:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogType
        description:
          type: string
          description: Description of the data set profile
          nullable: true
        importFileName:
          type: string
          description: File Name for import data to catalog
          nullable: true
          readOnly: true
        locale:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogLocale
        columns:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDataSetColumn
          description: Columns used in the catalog
        recordsCount:
          type: integer
          description: Number of records in the catalog
          format: int32
        usedInSkills:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogSkillModel
          description: List of skills that has mappings to the catalog
          nullable: true
        lastRecordsUpdateTime:
          type: string
          description: Last records update time
          nullable: true
      additionalProperties: false
      description: Additional information about data set profile of type 'Catalog'
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogRecordData:
      required:
        - externalId
      type: object
      properties:
        externalId:
          minLength: 1
          type: string
        columnValues:
          type: object
          additionalProperties:
            type: string
            nullable: true
          description: List of column values. The column name is used as the key.
          nullable: true
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogType:
      enum:
        - Custom
        - IssuerCompany
        - ReceiverCompany
        - PurchaseOrders
        - PurchaseOrderItems
      type: string
      description: Type of the catalog.
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogLocale:
      enum:
        - International
        - NorthAmerica
      type: string
      description: Locale used to parse date column values when filling catalog
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDataSetColumn:
      required:
        - name
        - notEmpty
        - type
      type: object
      properties:
        name:
          minLength: 1
          type: string
          description: Name of the catalog column
        title:
          type: string
          description: Title of the catalog column
          nullable: true
        type:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDataSetColumnType
        parameterType:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogParameterType
        notEmpty:
          type: boolean
          description: ''
        order:
          type: integer
          description: Order of Column in catalog column list
          format: int32
        isPredefined:
          type: boolean
          description: ''
      additionalProperties: false
      description: Additional information about a column of a catalog
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogSkillModel:
      type: object
      properties:
        skillId:
          type: string
          description: Id of skill
          nullable: true
        version:
          type: integer
          description: Version of skill
          format: int32
      additionalProperties: false
      description: Represents a skill in the catalog, including its ID and version.
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogDataSetColumnType:
      enum:
        - Text
        - Number
        - Alphanumeric
      type: string
      description: Type of a catalog column
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogParameterType:
      enum:
        - Text
        - Double
        - Integer
        - Date
      type: string
      description: Type of a catalog parameter.
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````